%global realname riakc
%global upstream basho
# Technically, we're noarch; but erlang whose directories we install into is not.
%global debug_package %{nil}


Name:		erlang-riak_client
Version:	2.5.3
Release:	1%{?dist}
Summary:	Erlang client for Riak
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/%{upstream}/riak-erlang-client
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/riak-erlang-client.git
%endif
Source0:	https://github.com/%{upstream}/riak-erlang-client/archive/%{version}/riak_client-%{version}.tar.gz
BuildRequires:	erlang-riak_pb
BuildRequires:	erlang-rebar
Provides:	riak-erlang-client%{?_isa} = %{version}-%{release}


%description
Erlang client for Riak.


%prep
%autosetup -p1 -n riak-erlang-client-%{version}


%build
%{erlang_compile}
rebar doc -vv
rm -f edoc/edoc-info


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license LICENSE
%doc README.md edoc/
%{erlang_appdir}/


%changelog
* Fri Jul 21 2017 Peter Lemenkov <lemenkov@gmail.com> - 2.5.3-1
- Ver. 2.5.3

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue May 17 2016 Peter Lemenkov <lemenkov@gmail.com> - 2.1.1-2
- Spec-file cleanups

* Fri Mar  4 2016 Peter Lemenkov <lemenkov@gmail.com> - 2.1.1-1
- Ver. 2.1.1

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 11 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.3.3-1
- Ver. 1.3.3

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 10 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.3.1-1
- Ver. 1.3.1

* Wed Sep 05 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.3.0-1
- Ver. 1.3.0 (API/ABI incompatible with previous one)

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 15 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-1
- Ver. 1.2.1

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 16 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.2.0-1
- Ver. 1.2.0

* Wed Apr 27 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.1.0-2
- Rebuild with new erlang-protobuffs

* Sat Feb 26 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.1.0-1
- Ver. 1.1.0

* Sun Jan  9 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.0.2-1
- Ver. 1.0.2

* Sat Oct 30 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.0.1-1
- Initial build

